## ros-kinetic-eca-a9-description 0.1.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(eca_a9_description)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY mesh robots urdf launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
        PATTERN "*~" EXCLUDE)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(xacro REQUIRED)
  find_package(rosunit REQUIRED)
  foreach(T
      test/test_urdf_files.test
      )
     add_rostest(${T})
  endforeach()
endif()

=== debian/changelog ===
ros-kinetic-eca-a9-description (0.1.6-0xenial) xenial; urgency=high

  * Fix class call for rosunit
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Fix name of the package
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Fix URDF test with correct package
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Add documentation to input arguments
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhães

 -- Thibault Pelletier <thp@eca.fr>  Thu, 18 Apr 2019 22:00:00 -0000

ros-kinetic-eca-a9-description (0.1.5-0xenial) xenial; urgency=high

  * Add robot_state_publisher dependency
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:Musa.Marcusso@de.bosch.com>
  * Fix dependencies for tests and update package.xml format
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhães

 -- Thibault Pelletier <thp@eca.fr>  Tue, 12 Mar 2019 23:00:00 -0000

ros-kinetic-eca-a9-description (0.1.4-0xenial) xenial; urgency=high

  * Fix path and names to files after refactor
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Add test for URDF file consistency
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhaes

 -- Thibault Pelletier <thp@eca.fr>  Wed, 13 Feb 2019 23:00:00 -0000

ros-kinetic-eca-a9-description (0.1.3-0xenial) xenial; urgency=high



 -- Thibault Pelletier <thp@eca.fr>  Thu, 05 Jul 2018 22:00:00 -0000

ros-kinetic-eca-a9-description (0.1.2-0xenial) xenial; urgency=high

  * FIX DVL sensor noise input parameters
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * FIX Buoyancy force configuration, make model positively buoyant
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * ADD Spawn model using geodetic coordinates
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhaes

 -- Thibault Pelletier <thp@eca.fr>  Wed, 04 Jul 2018 22:00:00 -0000

ros-kinetic-eca-a9-description (0.1.1-0xenial) xenial; urgency=high

  * ADD CHANGELOG files
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhaes

 -- Thibault Pelletier <thp@eca.fr>  Wed, 04 Jul 2018 22:00:00 -0000

ros-kinetic-eca-a9-description (0.1.0-0xenial) xenial; urgency=high

  * ADD Sliding mode control files (still experimental)
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * FIX Source of sensor snippets
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * MAINT changed 'uuv_sensor_plugins_ros' to 'uuv_sensor_ros_plugins'
    MAINT added 'update_rate' and 'reference_frame' to 'dvl_plugin_macro' instance
    Signed-off-by: Jeroen Fransman <mailto:j.e.fransman@tudelft.nl>
  * MAINT changed 'uuv_sensor_plugins_ros' to 'uuv_sensor_ros_plugins'
    MAIN added 'update_rate' and 'reference_frame' to 'dvl_plugin_macro' instance
    Signed-off-by: Jeroen Fransman <mailto:j.e.fransman@tudelft.nl>
  * ADD CPC sensor to the robot description
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * CHANGE Max. deflection of fin
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * ADD Battery model and consumer units
    Battery parameters still not updated, testing functionality now.
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * FIX Typo in package.xml
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * ADD ECA A9 model description and teleop launch files
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Jeroen Fransman, Musa Morena Marcusso Manhaes

 -- Thibault Pelletier <thp@eca.fr>  Sun, 22 Apr 2018 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-eca-a9-description
Section: misc
Priority: extra
Maintainer: Thibault Pelletier <thp@eca.fr>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-rostest, ros-kinetic-rosunit, ros-kinetic-xacro
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-eca-a9-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-gazebo-ros, ros-kinetic-robot-state-publisher, ros-kinetic-uuv-assistants, ros-kinetic-uuv-descriptions, ros-kinetic-uuv-gazebo-ros-plugins, ros-kinetic-uuv-sensor-ros-plugins
Description: Robot description for the ECA A9 AUV

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-eca-a9-description//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
